> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Get Shipment Logs by Order ID and Shipment ID

GET https://api.shipbob.com/2026-07/order/{orderId}/shipment/{shipmentId}/logs

Retrieves operational logs for a specific shipment by shipment ID, providing a detailed record of all events and status changes that have occurred.

Reference: https://developer.shipbob.com/api/orders/get-shipment-logs-by-order-id-and-shipment-id

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Path parameters

- `orderId` (string, required) — The order id to get the shipment for
- `shipmentId` (string, required) — The shipment id to get

## Response

### 200

Success

- `list of object`
  - `log_type_id` (integer, optional) — Log type id of the shipment
  - `log_type_name` (string, optional, nullable) — Name of the log type
  - `log_type_text` (string, optional, nullable) — Summary of log type meaning
  - `metadata` (map from string to string, optional, nullable) — Specifics data for the event
  - `timestamp` (datetime, optional) — Timestamp of event

## Examples

**Response**

```json
[
  {
    "log_type_id": 0,
    "log_type_name": "string",
    "log_type_text": "string",
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "timestamp": "2019-08-24T14:15:22+00:00"
  }
]
```

**SDK Code**

```python default
import requests

url = "https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-07/order/orderId/shipment/shipmentId/logs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```